#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>


int main(int argc, char* argv[]){


    pid_t child_pid = fork();

    if(child_pid == 0){        
        printf("Yay, I'm the child but you can still see me output in terminal!\n");
        char *exec_args[argc];
        
        for(int i = 1; i < argc; i++){
            exec_args[i-1] = argv[i];
        }

        exec_args[argc-1] = NULL;

        execvp(exec_args[0], exec_args);

        return EXIT_FAILURE; //should never return from here
    }

    //waiting for the death of the child
    waitpid(-1, NULL, 0);

    printf("Cool, child is dead!\n");
    
    return EXIT_SUCCESS;
}




